Skip to main content
GET
/
api
/
crew-templates
/
{template_id}
Get template
curl --request GET \
  --url https://api.example.com/api/crew-templates/{template_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "crew_config": {
    "agents": [
      {
        "role": "<string>",
        "goal": "<string>",
        "backstory": "<string>",
        "id": "<string>",
        "verbose": false,
        "allow_delegation": false,
        "tools": [
          "<string>"
        ],
        "tool_categories": [
          "<string>"
        ],
        "use_default_mcps": true
      }
    ],
    "tasks": [
      {
        "description": "<string>",
        "agent_index": 0,
        "expected_output": "",
        "tools": [
          "<string>"
        ]
      }
    ],
    "id": "<string>",
    "verbose": false,
    "process": "sequential"
  },
  "tags": [
    "<string>"
  ],
  "is_shared": true,
  "created_by": "<string>",
  "updated_by": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "variables": [
    {
      "name": "<string>",
      "label": "<string>",
      "description": "",
      "type": "string",
      "required": true,
      "default": "<unknown>",
      "choices": [
        "<string>"
      ],
      "min_length": 123,
      "max_length": 123,
      "min_value": 123,
      "max_value": 123,
      "sensitive": false,
      "group": "<string>",
      "show_if": {}
    }
  ],
  "lint_warnings": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

template_id
string<uuid>
required

Response

Successful Response

Response model for a crew template returned from the API.

id
string
required
name
string
required
description
string
required
crew_config
CrewConfig · object
required

Configuration model for a CrewAI crew with agents and tasks.

tags
string[]
required
is_shared
boolean
required
created_by
string
required
updated_by
string
required
created_at
string
required
updated_at
string
required
variables
TemplateVariable · object[]
lint_warnings
string[]

Authoring-time warnings about drift between the declared variables and the {placeholders} referenced by tasks. Surfaced on create or update. Usually empty on read.